<div *ngIf="!(auth.user | async)">
  <mat-card class="login-card">
    <mat-card-header>
      <mat-card-title>User Login</mat-card-title>
    </mat-card-header>
    <form [formGroup]="loginForm" novalidate (ngSubmit)="onSubmit()">
      <mat-card-content>
        <div class="row">
          <div class="col">
            <mat-form-field class="full-width">
              <input matInput placeholder="Email" formControlName="email">
              <mat-error *ngIf="loginForm.controls['email'].hasError('required')">
                Email Address is <strong>required</strong>
              </mat-error>
            </mat-form-field>
          </div>
        </div>
        <div class="row">
          <div class="col">
            <mat-form-field class="full-width">
              <input matInput placeholder="Password" formControlName="password" type="password">
              <mat-error *ngIf="loginForm.controls['password'].hasError('required')">
                Password is <strong>required</strong>
              </mat-error>
            </mat-form-field>
          </div>
        </div>
      </mat-card-content>
      <mat-card-actions>
        <button mat-raised-button color="primary" type="submit">Submit</button>
      </mat-card-actions>
    </form>
    <hr>
    <mat-card-header>
      <mat-card-title>Social Login</mat-card-title>
    </mat-card-header>
    <button (click)="signInWithGoogle()" class="button btn-social btn-google">
      <i class="fa fa-google fa-lg"></i> Connect Google
    </button>
    <button (click)="signInWithFacebook()" class="button  btn-social btn-facebook" disabled>
      <i class="fa fa-facebook fa-lg"></i> Connect Facebook
    </button>
    <button (click)="signInWithTwitter()" class="button  btn-social btn-twitter" disabled>
      <i class="fa fa-twitter fa-lg"></i> Connect Twitter
    </button>
  </mat-card>
</div>
<!--
<ng-template #alreadyLoggedIn>
  <p class="text-success">
    You are logged in <i class="fa fa-thumbs-up"></i>
  </p>
</ng-template>-->
